package com.cn.fdapfe.biz.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cn.fdapfe.biz.domain.FdAlgorithm;

/**
 * 故障诊断算法功能验证Mapper接口
 * 
 * @author Allen
 * @date 2025-03-07
 */
public interface FdAlgorithmMapper  extends BaseMapper<FdAlgorithm>
{
    /**
     * 查询故障诊断算法功能验证
     * 
     * @param id 故障诊断算法功能验证主键
     * @return 故障诊断算法功能验证
     */
     FdAlgorithm selectFdAlgorithmById(Long id);

    /**
     * 查询故障诊断算法功能验证列表
     * 
     * @param fdAlgorithm 故障诊断算法功能验证
     * @return 故障诊断算法功能验证集合
     */
     List<FdAlgorithm> selectFdAlgorithmList(FdAlgorithm fdAlgorithm);

    /**
     * 新增故障诊断算法功能验证
     * 
     * @param fdAlgorithm 故障诊断算法功能验证
     * @return 结果
     */
     int insertFdAlgorithm(FdAlgorithm fdAlgorithm);

    /**
     * 修改故障诊断算法功能验证
     * 
     * @param fdAlgorithm 故障诊断算法功能验证
     * @return 结果
     */
    int updateFdAlgorithm(FdAlgorithm fdAlgorithm);

    /**
     * 删除故障诊断算法功能验证
     * 
     * @param id 故障诊断算法功能验证主键
     * @return 结果
     */
     int deleteFdAlgorithmById(Long id);

    /**
     * 批量删除故障诊断算法功能验证
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFdAlgorithmByIds(Long[] ids);

     List<Map<String,Object>> getOptions();
}
